<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/img_bg"
    android:orientation="vertical">

    <xn.xxp.widget.TitleBar
        android:id="@+id/titleBar"
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:background="@mipmap/img_navigation_bg"
        app:showNotice="true"
        app:signed="true" />

    <xn.xxp.widget.NavViewCompat
        android:id="@+id/nav_view"
        android:layout_width="match_parent"
        android:layout_height="42dp"
        app:location="物联控制"
        app:showBack="true"
        app:showHome="true" />

    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/swipeRefreshLayout"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginStart="33dp"
        android:layout_marginTop="8dp"
        android:layout_marginEnd="33dp"
        android:layout_marginBottom="16dp"
        android:layout_weight="1"
        android:background="@drawable/shape_rect_round_11_solid_163277_50p"
        android:padding="12dp">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/lotThings"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@android:color/transparent" />

    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

    <TextView
        android:id="@+id/countDown"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="end"
        android:layout_marginEnd="17dp"
        android:layout_marginBottom="12dp"
        android:textColor="#333333"
        android:textSize="17sp"
        android:visibility="gone"
        tools:text="张同学-登录失效：180秒" />

</LinearLayout>